- name: "setup"
  hosts: all
  gather_facts: no
  become: yes
  pre_tasks:
    - name: "preflight"
      include_role:
        name: "/cloudstack/roles/helpers/prepare"
  tasks:
    - name: gather facts
      ansible.builtin.setup:

    - name: Create plugin directories
      ansible.builtin.file:
        path: "{{ item }}"
        state: directory
        mode: '0755'
      with_items:
        - "/opt/cloudstack/{{ plugin }}"

    - name: Copy compose file
      ansible.builtin.template:
        src: docker-compose.yml.j2
        dest: "/opt/cloudstack/{{ plugin }}/docker-compose.yml"

    - name: Deploy compose stack
      docker_compose:
        project_src: "/opt/cloudstack/{{ plugin }}"
        remove_orphans: true
        files:
          - docker-compose.yml